### Method

# Gtk CssSection get_parent

#### Declaration [src]

    GtkCssSection*
    gtk_css_section_get_parent (
      const GtkCssSection* section
    )

#### Description [src]

Gets the parent section for the given `section`.

The parent section is the section that contains this `section`. A special case are sections of type `GTK_CSS_SECTION_DOCUMEN`T. Their parent will either be `NULL` if they are the original CSS document that was loaded by `gtk_css_provider_load_from_file()` or a section of type `GTK_CSS_SECTION_IMPORT` if it was loaded with an `import` rule from a different file.

#### Return value

Type: `GtkCssSection`

The parent section.

The returned data is owned by the instance.
The return value can be `NULL`.